Bug 1018925 - initramfs created during disk image installation does not boot
initramfs created during disk image installation does not boot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: David Lehman
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 13:28 EDT by David Lehman
Modified: 2014-06-17 21:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-19.31.28-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:12:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2013-10-14 13:28:38 EDT
Description of problem:
The new default for initramfs generation is hostonly, which makes little sense when you are installing the OS to a disk image file.

Version-Release number of selected component (if applicable):
anaconda-19.20-2.el7

How reproducible:
Always

Steps to Reproduce:
1. patch anaconda to fix bug 955202
2. perform an installation to a disk image file on x86
3.

Actual results:
System fails to boot after installation is complete.

Expected results:
Newly installed system boots successfully.

Additional info:
It is also necessary to tell dracut to use /dev/disk/by-uuid/ symlinks to reference block devices instead of trying to resolve them to device node paths at initramfs creation time.
Comment 1 David Lehman 2013-10-14 13:29:48 EDT
I have a patch to fix this. I'll be sending it off for review today.
Comment 3 Jan Stodola 2013-11-15 07:00:28 EST
Retested with anaconda-19.31.34-1.el7, installation to a disk image was successful, it was possible to boot from the image in kvm.

Thanks, moving to VERIFIED.
Comment 4 Ludek Smid 2014-06-13 08:12:01 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.